=== debian/changelog ===
libzen (0.4.23-1ubuntu1) precise; urgency=low

  * Add symbols for powerpc

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 19 Jan 2012 18:07:46 +0000

libzen (0.4.23-1) unstable; urgency=low

  * Initial release (Closes: #654185)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 02 Jan 2012 01:49:36 +0800
