=== debian/control ===
Source: libzen
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 8.9.0~),
               dh-autoreconf,
               doxygen,
               tofrodos
Standards-Version: 3.9.2
Section: libs
Homepage: http://zenlib.sf.net
Vcs-Git: git://git.debian.org/git/collab-maint/packages/libzen.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/packages/libzen.git

Package: libzen-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libzen0 (= ${binary:Version}), libtinyxml-dev, ${misc:Depends}
Description: ZenLib C++ utility library -- development files
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the headers required for compiling applications/libraries
 which use this library.

Package: libzen0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ZenLib C++ utility library -- runtime
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the shared library needed for running applications which
 use this library.

Package: libzen-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ZenLib C++ utility library -- documentation
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the Doxygen generated API reference for developing
 applications/libraries using this library.
