## libzen 0.4.24

=== debian/changelog ===
libzen (0.4.24-2) unstable; urgency=low

  * [15eb4bc] Remove Doxygen-generated files during clean.
    This fixes issues with the package being built twice.

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 29 Jan 2012 06:11:26 +0800

libzen (0.4.24-1) unstable; urgency=low

  * [9fccad3] Imported Upstream version 0.4.24
  * [9bbc628] Drop all patches -- applied upstream
  * [931d09d] Drop removed paths from .install
  * [586970b] Use download.mediaarea.net in watchfile
  * [a35bfce] Drop gbp.conf.
    Use tgz from download.mediaarea.net instead
  * [003e14d] Use download.mediaarea.net in watchfile

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 25 Jan 2012 03:42:26 +0800

libzen (0.4.23-4) unstable; urgency=low

  * [75c6135] Fix NEED_SIZET patch to avoid 32-bit breakage.
    Thanks to Peter Green (Closes: #656717)
  * [1ae30af] Install arch-specific libzenconfig.h to libzen-dev

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Jan 2012 15:26:40 +0800

libzen (0.4.23-3) unstable; urgency=low

  * [773397c] Add patch to fix libmediainfo FTBFS on s390

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Jan 2012 20:09:30 +0800

libzen (0.4.23-2) unstable; urgency=low

  * [ec1ccfa] Make long double symbols replaceable with __float128b.
    This fixes build issues with powerpc, sparc and s390(x)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 20 Jan 2012 11:53:42 +0800
