=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean -D$(libpath)
+	rm -rf Doc/ *.html
 
 override_dh_auto_install:
 	dh_auto_install -D$(libpath)
