=== debian/watch ===
version=3

http://download.mediaarea.net/source/libzen/([0-9.]+)/ libzen_([0-9.]+)\.tar\.gz
