## libzen 0.4.27

=== debian/changelog ===
libzen (0.4.27-2) unstable; urgency=low

  * [6704d62] Ignore inline ToZtring symbols.
    This fixes build failures arising from spurious ToZtring symbols appearing when
    they get uninlined on certain architectures.
  * [25a304e] Sort libzen0.symbols

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 16:49:28 +0800

libzen (0.4.27-1) unstable; urgency=low

  * [735e67f] Imported Upstream version 0.4.27
  * [0816384] Call dpkg-gensymbols with -c4.
    This ensures the symbols file is always kept up to date.
  * [4399009] Update optional symbols regex for std:: functions
  * [cb88073] Add --parallel to dh invocation

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Jun 2012 13:33:44 +0800

libzen (0.4.26-1) unstable; urgency=low

  * [192a9e3] Imported Upstream version 0.4.26:
    - Better support of machines lacking of std::stringstream
    - Better support of machines requesting explicit stdc++ library link option
      (e.g. some ARM embedded devices)
  * [1122615] Bump debhelper build-dep version to 9
  * [0ef5511] Bump Standards-Version to 3.9.3
    - Update copyright format URL

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 22 Apr 2012 18:14:20 +0800

libzen (0.4.25-1) UNRELEASED; urgency=low

  * [5cb095b] Update watch url
  * [8bc5267] Imported Upstream version 0.4.25:
    + Fast bitstream parser
    + Removing Win9X detection on 64-bit CPU
    + Ztring: integer to text conversion with radix=2
    + Updated Linux compilation scripts
  * [e1dc5fd] Add missing clause to zlib license

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Mar 2012 00:42:53 +0800
