=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libzen
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 8.9.0~),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                doxygen,
                tofrodos
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://zenlib.sf.net
 Vcs-Git: git://git.debian.org/git/collab-maint/packages/libzen.git
