## libzen 0.4.28

=== debian/changelog ===
libzen (0.4.28-1) experimental; urgency=low

  * [0c202c7] Imported Upstream version 0.4.28

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 19 Aug 2012 19:39:18 +0800
