## libzen 0.4.29

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,6 @@
 	ZenLib/Format/Http/Http_Handler.cpp
 	ZenLib/Format/Http/Http_Request.cpp
 	ZenLib/Format/Http/Http_Utils.cpp
-	ZenLib/TinyXml/tinyxml.cpp
-	ZenLib/TinyXml/tinyxmlerror.cpp
-	ZenLib/TinyXml/tinyxmlparser.cpp
 )
 
 add_library(zenlib STATIC ${zenlib_SRCS})
