=== debian/changelog ===
libzen (0.4.29-1) unstable; urgency=low

  * [27b1766] Imported Upstream version 0.4.29
  * [de7c824] Fix dep5 field name typo

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 15 May 2013 21:28:44 +0800

libzen (0.4.28-2) experimental; urgency=low

  * [c0b2e49] Fix unlisted std:: symbol in libzen0.symbols (Closes: #701314)
  * [32d1a5b] Bump Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 24 Feb 2013 01:05:22 +0800
