=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
                dh-autoreconf,
                doxygen,
                tofrodos
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://zenlib.sf.net
 Vcs-Git: git://git.debian.org/git/collab-maint/packages/libzen.git
