=== debian/rules ===
--- 
+++ 
@@ -32,5 +32,8 @@
 	dh_installdocs
 	fromdos debian/*/usr/share/doc/*/*.txt
 
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c4
+
 %:
-	dh $@ --with=autoreconf
+	dh $@ --with=autoreconf --parallel
