=== debian/watch ===
version=3

http://sf.net/zenlib/libzen_([0-9.]+)\.tar\.gz
