=== debian/control ===
Source: libzen
Priority: optional
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 5), doxygen, tofrodos, automake, autoconf, libtool
Standards-Version: 3.7.3
Section: libs
Homepage: http://mediainfo.sourceforge.net
Vcs-Svn: https://zenlib.svn.sourceforge.net/svnroot/zenlib/ZenLib/
Vcs-Browser: http://zenlib.svn.sourceforge.net/viewvc/zenlib/ZenLib/

Package: libzen-dev
Section: libdevel
Architecture: any
Depends: libzen0 (>=0.4.30)
Description: libmediainfo mandatory library (dev)
 This package includes the development support files

Package: libzen0
Section: libs
Architecture: any
Depends:
Replaces: libzen0-dev
Description: libmediainfo mandatory library
 This package includes the shared library
