=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: libzen-dev
 Section: libdevel
 Architecture: any
-Depends: libzen0 (>=0.4.30)
+Depends: libzen0 (>=0.4.31)
 Description: libmediainfo mandatory library (dev)
  This package includes the development support files
