=== debian/changelog ===
libzen (0.4.32-1ubuntu0.16.04.1) xenial-proposed; urgency=medium

  * [8601742] Import large files patch (LP: #1693850)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 30 May 2017 00:39:22 +0800

libzen (0.4.32-1) unstable; urgency=medium

  * [1ff9bdc] Update debian/watch
  * [0fca616] Imported Upstream version 0.4.32
  * [a824eea] Drop patch, upstreamed

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Nov 2015 16:16:26 +0800

libzen (0.4.31-4) unstable; urgency=medium

  * [57011db] Update Vcs-* fields (Closes: #796866)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Aug 2015 15:17:38 +0800

libzen (0.4.31-3) unstable; urgency=low

  * Reupload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 21 Aug 2015 20:19:44 +0800

libzen (0.4.31-2) experimental; urgency=medium

  * [ddb5069] Perform library transition for GCC 5 rebuild (Closes: #791188)
  * [aa296c3] Update libzen0v5.symbols
    std::basic_string has changed moved into a different namespace, changing the
    symbols of all functions which have it in their signature. (Closes: #792495)
  * [5e4009d] Add Replaces and Conflicts

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 11 Aug 2015 12:16:56 +0800

libzen (0.4.31-1) experimental; urgency=medium

  * [374490a] Imported Upstream version 0.4.31
  * [045cf87] Drop zenlib-missed-cmake-files.patch.
    Applied upstream
  * [2ae0146] Specify -B when using dh_auto_*
    Debhelper's cmake subsystem prefers to use out-of-tree building, at
    obj-${DEB_HOST_GNU_TYPE}, but this is an implementation detail we shouldn't
    rely on. So, explicitly set the builddir instead so that we know where to
    find the .pc file.
  * [1b2b7e9] Patch CMakeLists to use GNUInstallDirs.
    This gives us automatic multiarch support.
  * [3e9fa36] Update libzen-dev.install to look for .pc in debian/tmp

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Apr 2015 12:15:44 +0800

libzen (0.4.30-2) UNRELEASED; urgency=low

  * [4d65fb4] Use cmake
  * [8b3e390] Re-add missing cmake files in a patch.
    Thanks to Ivan Romanov
  * [a6c4410] Mangle the cmake .pc, not the autofoo one

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 16 Apr 2015 12:09:44 +0800

libzen (0.4.30-1) experimental; urgency=medium

  * [0c54249] Update Vcs-* fields
    libzen resides in pkg-multimedia now, not in collab-maint.
    Thanks to Thomas Otto <thomas.c.otto@gmx.net>
  * [58c8a65] Imported Upstream version 0.4.30
  * [283c9f8] Update symbols file
  * [3dfbf94] Install .pc file to multiarch directory
  * [c0f040e] No-change bump of Standard-Version to 3.9.6

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 22 Nov 2014 10:46:21 +0800
