=== debian/control ===
Source: libzen
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9),
               cmake,
               dh-exec,
               doxygen,
               tofrodos
Standards-Version: 3.9.6
Section: libs
Homepage: http://zenlib.sf.net
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libzen.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libzen.git/

Package: libzen-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libzen0v5 (= ${binary:Version}), libtinyxml-dev, ${misc:Depends}
Description: ZenLib C++ utility library -- development files
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the headers required for compiling applications/libraries
 which use this library.

Package: libzen0v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libzen0
Conflicts: libzen0
Description: ZenLib C++ utility library -- runtime
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the shared library needed for running applications which
 use this library.

Package: libzen-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ZenLib C++ utility library -- documentation
 ZenLib is a C++ utility library. It includes classes for handling strings,
 configuration, bit streams, threading, translation, and cross-platform
 operating system functions.
 .
 This package contains the Doxygen generated API reference for developing
 applications/libraries using this library.
