=== debian/watch ===
version=3

http://mediaarea.net/download/source/libzen/([0-9.]+)/libzen_([0-9.]+).tar.gz
