## libzen 0.4.33

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 set(ZenLib_MAJOR_VERSION "0")
 set(ZenLib_MINOR_VERSION "4")
-set(ZenLib_PATCH_VERSION "32")
+set(ZenLib_PATCH_VERSION "33")
 
 set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")
