=== debian/changelog ===
libzen (0.4.33-3ubuntu0.16.10.1) yakkety-proposed; urgency=medium

  * [57d99f9] Import large files patch (LP: #1693850)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 30 May 2017 00:24:00 +0800

libzen (0.4.33-3) unstable; urgency=medium

  * [523a79f] Fix fromdos step failing during installdocs (Closes: #806655)

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 25 Aug 2016 15:17:28 +0800

libzen (0.4.33-2) unstable; urgency=medium

  * [7762055] Make ZenLib::Format::Http::Cookie::~Cookie() optional
    (Closes: #811962)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 03 Aug 2016 23:12:55 +0800

libzen (0.4.33-1) unstable; urgency=medium

  * [efcb910] Update homepage
  * [a462198] Imported Upstream version 0.4.33

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 05 Mar 2016 01:47:03 +0800
