## libzen 0.4.34

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
 project(ZenLib)
 
 cmake_minimum_required(VERSION 2.8.11)
+
+# Allow use of the LOCATION target property with CMake version >= 2.8.12
+cmake_policy(SET CMP0026 OLD)
 
 if(WIN32)
   option(BUILD_SHARED_LIBS "Build shared libs" OFF)
@@ -14,7 +17,7 @@
 
 set(ZenLib_MAJOR_VERSION "0")
 set(ZenLib_MINOR_VERSION "4")
-set(ZenLib_PATCH_VERSION "33")
+set(ZenLib_PATCH_VERSION "34")
 
 set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")
 
@@ -105,8 +108,10 @@
   set(ZenLib_Unicode "no")
 endif()
 
-try_compile(SIZE_T_IS_NOT_LONG ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/size_t_is_long_check.cpp)
-if(NOT SIZE_T_IS_NOT_LONG)
+include(CheckTypeSize)
+check_type_size(size_t SIZE_T_SIZE)
+check_type_size(long LONG_SIZE)
+if((LONG_SIZE GREATER 4) AND (SIZE_T_SIZE EQUAL LONG_SIZE))
   target_compile_definitions(zen PUBLIC SIZE_T_IS_LONG)
 endif()
