=== debian/changelog ===
libzen (0.4.34-1) unstable; urgency=medium

  * [9ee39c7] Imported Upstream version 0.4.34

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 19 Dec 2016 16:52:16 +0800
