=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                tofrodos
 Standards-Version: 3.9.6
 Section: libs
-Homepage: http://zenlib.sf.net
+Homepage: https://github.com/MediaArea/ZenLib/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libzen.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libzen.git/
