## libzen 0.4.36

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,6 @@
-project(ZenLib)
+cmake_minimum_required(VERSION 3.0)
 
-cmake_minimum_required(VERSION 2.8.11)
-
-# Allow use of the LOCATION target property with CMake version >= 2.8.12
-cmake_policy(SET CMP0026 OLD)
+project(ZenLib VERSION 0.4.36)
 
 if(WIN32)
   option(BUILD_SHARED_LIBS "Build shared libs" OFF)
@@ -12,14 +9,10 @@
 endif()
 
 option(ENABLE_UNICODE "Enable unicode support" ON)
+option(LARGE_FILES "Enable large files support" ON)
 
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/Modules/")
 set(ZenLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)
-
-set(ZenLib_MAJOR_VERSION "0")
-set(ZenLib_MINOR_VERSION "4")
-set(ZenLib_PATCH_VERSION "34")
-
-set(ZenLib_VERSION_STRING "${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}")
 
 # On Windows debug library should have 'd' postfix.
 if(WIN32)
@@ -38,7 +31,7 @@
 if(NOT MSVC)
   set(ZenLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/zenlib")
 else()
-  set(ZenLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake/")
+  set(ZenLib_CONFIG_INSTALL_DIR "cmake")
 endif()
 
 set(ZenLib_HDRS
@@ -51,12 +44,6 @@
   ${ZenLib_SOURCES_PATH}/ZenLib/Dir.h
   ${ZenLib_SOURCES_PATH}/ZenLib/File.h
   ${ZenLib_SOURCES_PATH}/ZenLib/FileName.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.h
-  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.h
   ${ZenLib_SOURCES_PATH}/ZenLib/InfoMap.h
   ${ZenLib_SOURCES_PATH}/ZenLib/MemoryDebug.h
   ${ZenLib_SOURCES_PATH}/ZenLib/OS_Utils.h
@@ -71,6 +58,18 @@
   ${ZenLib_SOURCES_PATH}/ZenLib/ZtringListListF.h
   ${ZenLib_SOURCES_PATH}/ZenLib/int128s.h
   ${ZenLib_SOURCES_PATH}/ZenLib/int128u.h
+  )
+
+set(ZenLib_format_html_HDRS
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Handler.h
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Html/Html_Request.h
+  )
+
+set(ZenLib_format_http_HDRS
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Cookies.h
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Handler.h
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Request.h
+  ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.h
   )
 
 set(ZenLib_SRCS
@@ -99,13 +98,20 @@
   ${ZenLib_SOURCES_PATH}/ZenLib/Format/Http/Http_Utils.cpp
   )
 
-add_library(zen ${ZenLib_SRCS} ${ZenLib_HDRS})
+add_library(zen ${ZenLib_SRCS} ${ZenLib_HDRS} ${ZenLib_format_html_HDRS} ${ZenLib_format_http_HDRS})
 if(ENABLE_UNICODE)
   set(ZenLib_Unicode "yes")
-  set(ZenLib_CXXFLAGS -DUNICODE)
-  target_compile_definitions(zen PUBLIC UNICODE)
+  set(ZenLib_CXXFLAGS -DUNICODE) # For pkg-config template
+  target_compile_definitions(zen PUBLIC UNICODE _UNICODE)
 else()
   set(ZenLib_Unicode "no")
+endif()
+
+if(LARGE_FILES)
+  include(TestLargeFiles)
+
+  test_large_files(_LARGEFILES)
+  target_compile_definitions(zen PUBLIC ${LARGE_FILES_DEFINITIONS})
 endif()
 
 include(CheckTypeSize)
@@ -115,36 +121,30 @@
   target_compile_definitions(zen PUBLIC SIZE_T_IS_LONG)
 endif()
 
-target_include_directories(zen INTERFACE ${INCLUDE_INSTALL_DIR})
-target_include_directories(zen PRIVATE ${ZenLib_SOURCES_PATH})
+target_include_directories(zen PUBLIC
+  $<BUILD_INTERFACE:${ZenLib_SOURCES_PATH}>
+  $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>)
 
 set_target_properties(zen PROPERTIES
-  VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION}
-  SOVERSION ${ZenLib_MAJOR_VERSION}
+  VERSION ${ZenLib_VERSION}
+  SOVERSION ${ZenLib_VERSION_MAJOR}
+  PUBLIC_HEADER "${ZenLib_HDRS}"
   )
 
 if(MSVC)
-  get_target_property(LOCATION zen LOCATION_DEBUG)
-  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
-  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS Debug)
-
-  get_target_property(LOCATION zen LOCATION_RELWITHDEBINFO)
-  string(REGEX REPLACE "\\.[^.]*$" ".pdb" LOCATION "${LOCATION}")
-  install(FILES ${LOCATION} DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS RelWithDebInfo)
+  install(FILES $<TARGET_PDB_FILE:zen> DESTINATION ${BIN_INSTALL_DIR} CONFIGURATIONS "Debug;RelWithDebInfo" OPTIONAL)
 endif()
 
 install(TARGETS zen EXPORT zen-export
+  PUBLIC_HEADER DESTINATION ${INCLUDE_INSTALL_DIR}/ZenLib
   RUNTIME DESTINATION ${BIN_INSTALL_DIR}
   ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
   LIBRARY DESTINATION ${LIB_INSTALL_DIR})
 
+install(FILES ${ZenLib_format_html_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/ZenLib/Format/Html)
+install(FILES ${ZenLib_format_http_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/ZenLib/Format/Http)
+
 install(EXPORT zen-export DESTINATION ${ZenLib_CONFIG_INSTALL_DIR} FILE ZenLibTargets.cmake)
-
-foreach(HEADER ${ZenLib_HDRS})
-  string(REPLACE ${ZenLib_SOURCES_PATH} "" DIR ${HEADER})
-  string(REGEX REPLACE "/[^/]*$" "" DIR ${DIR})
-  install(FILES ${HEADER} DESTINATION include/${DIR})
-endforeach()
 
 configure_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
@@ -152,7 +152,8 @@
   IMMEDIATE @ONLY)
 
 # pkg-config
-if(NOT WIN32)
+find_package(PkgConfig)
+if(PKG_CONFIG_FOUND)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libzen.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/libzen.pc
                  @ONLY)
@@ -166,11 +167,9 @@
   ZenLibConfig.cmake.in
   "${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake"
   INSTALL_DESTINATION ${ZenLib_CONFIG_INSTALL_DIR}
-  PATH_VARS BIN_INSTALL_DIR
-            LIB_INSTALL_DIR
-            INCLUDE_INSTALL_DIR)
+  PATH_VARS INCLUDE_INSTALL_DIR)
 
-write_basic_config_version_file(ZenLibConfigVersion.cmake VERSION ${ZenLib_VERSION_STRING} COMPATIBILITY AnyNewerVersion)
+write_basic_config_version_file(ZenLibConfigVersion.cmake COMPATIBILITY AnyNewerVersion)
 
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/ZenLibConfig.cmake
