=== debian/changelog ===
libzen (0.4.36-1) unstable; urgency=medium

  * [5fdf0bd] New upstream version 0.4.36
  * [4ba834f] Build-dep on pkg-config

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 12 Aug 2017 02:55:29 +0800

libzen (0.4.35-3) unstable; urgency=medium

  * [ee13f18] Update symbols to handle time_t being "long long" on x32

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 10 Jul 2017 07:46:48 +0800

libzen (0.4.35-2) unstable; urgency=medium

  * Upload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 10 Jul 2017 00:51:40 +0800

libzen (0.4.35-1) experimental; urgency=medium

  * [015b0fa] Imported Upstream version 0.4.35

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 04 Apr 2017 00:39:46 +0800
