=== debian/changelog ===
libzen (0.4.37-1ubuntu0.20.04.1) focal-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereferencing if the GMT conversion of the
    input fails
    - debian/patches/CVE-2020-36646.patch: Prevents the NULL pointer by adding
      a check after the GTM conversion, in Source/ZenLib/Ztring.cpp.
    - CVE-2020-36646

 -- George-Andrei Iosif <andrei.iosif@canonical.com>  Tue, 18 Apr 2023 16:00:34 +0300

libzen (0.4.37-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:07:17 +0100

libzen (0.4.37-1) unstable; urgency=medium

  * [328f764] New upstream version 0.4.37

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 10 Sep 2017 04:12:26 +0800
