=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: libzen
 Priority: optional
-Maintainer: Chow Loong Jin <hyperair@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9),
                cmake,
+               pkg-config,
                dh-exec,
                doxygen,
                tofrodos
