## libzen 0.4.37.1

=== debian/changelog ===
libzen (0.4.37.1-deepin1) ubstable; urgency=medium

  * fix CVE-2020-36646

 -- zengwei <zengwei1@uniontech.com>  Sun, 29 Jan 2023 17:18:02 +0800
