=== debian/changelog ===
libzen (0.4.38-1) unstable; urgency=medium

  * [7cc8350] New upstream version 0.4.38
  * [feef11a] Bump Standards-Version
  * [d8b2f0e] Bump debhelper compat to 12
  * [d2f4166] Drop --parallel from dh invocation.
    It's default now
  * [234a73a] Update Vcs-* URI

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 Apr 2020 23:32:09 +0800
