=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: libzen
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Chow Loong Jin <hyperair@debian.org>
+Build-Depends: debhelper-compat (= 12),
                cmake,
                pkg-config,
                dh-exec,
                doxygen,
                tofrodos
-Standards-Version: 3.9.6
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://github.com/MediaArea/ZenLib/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libzen.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libzen.git/
+Vcs-Git: https://salsa.debian.org/multimedia-team/libzen.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libzen
 
 Package: libzen-dev
 Section: libdevel
