## libzen 0.4.39

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(ZenLib_MAJOR_VERSION 0)
 set(ZenLib_MINOR_VERSION 4)
-set(ZenLib_PATCH_VERSION 38)
+set(ZenLib_PATCH_VERSION 39)
 set(ZenLib_VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION})
 
 if(WIN32)
@@ -133,6 +133,16 @@
   target_compile_definitions(zen PUBLIC SIZE_T_IS_LONG)
 endif()
 
+include(CheckSymbolExists)
+check_symbol_exists(gmtime_r time.h HAVE_GMTIME_R)
+if(HAVE_GMTIME_R)
+  target_compile_definitions(zen PUBLIC HAVE_GMTIME_R)
+endif()
+check_symbol_exists(localtime_r time.h HAVE_LOCALTIME_R)
+if(HAVE_LOCALTIME_R)
+  target_compile_definitions(zen PUBLIC HAVE_LOCALTIME_R)
+endif()
+
 target_include_directories(zen PUBLIC
   $<BUILD_INTERFACE:${ZenLib_SOURCES_PATH}>
   $<INSTALL_INTERFACE:${INCLUDE_INSTALL_DIR}>)
