=== debian/changelog ===
libzen (0.4.39-1) unstable; urgency=medium

  * [dadb67e] New upstream version 0.4.39

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 30 Mar 2021 10:47:25 +0800
