=== debian/changelog ===
libzen (0.4.40-1) unstable; urgency=medium

  * [3b63928] New upstream version 0.4.40
  * [598e7db] Drop superfluous file patterns from debian/copyright

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 24 Dec 2022 16:09:22 +0800
