## libzen 0.4.41

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(ZenLib_MAJOR_VERSION 0)
 set(ZenLib_MINOR_VERSION 4)
-set(ZenLib_PATCH_VERSION 40)
+set(ZenLib_PATCH_VERSION 41)
 set(ZenLib_VERSION ${ZenLib_MAJOR_VERSION}.${ZenLib_MINOR_VERSION}.${ZenLib_PATCH_VERSION})
 
 if(WIN32)
