=== debian/changelog ===
libzen (0.4.41-3) unstable; urgency=medium

  [ Debian Janitor ]
  * [fe07144] Apply multi-arch hints.
    + libzen-dev: Add Multi-Arch: same.

  [ Chow Loong Jin ]
  * Acknowledge NMU
  * [920f8d3] Patch to raise cmake max policy version (Closes: #1113229)
  * [17d4164] d/libzen-dev.install: Fix dh_missing warnings
    - /usr/include/ZenLib is installed by the upstream cmake project, so use
      those wherever they exist
    - /usr/lib/*/cmake needs to be installed into the -dev package
    - Drop Source/* entries where redundant (HTTP_Client is missing from
      upstream install
  * [c456cab] d/watch: Update version to 4
  * [c87603b] d/control: Update pkg-config build-dep to pkgconf

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 29 Sep 2025 17:33:35 +0800

libzen (0.4.41-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062741

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 07:27:03 +0000

libzen (0.4.41-2) unstable; urgency=medium

  * [3a602d5] Set Multi-Arch: foreign for libzen-doc
  * [b7a9270] Add autopkgtests

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 13 Apr 2023 16:31:03 +0800

libzen (0.4.41-1) unstable; urgency=medium

  * [587254d] New upstream version 0.4.41

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 12 Apr 2023 10:28:04 +0800
