=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libzen
 Priority: optional
 Maintainer: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
                cmake,
-               pkg-config,
+               pkgconf | pkg-config,
                dh-exec,
                doxygen,
                tofrodos
@@ -17,7 +17,8 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libzen0v5 (= ${binary:Version}), libtinyxml-dev, ${misc:Depends}
+Depends: libzen0t64 (= ${binary:Version}), libtinyxml-dev, ${misc:Depends}
+Multi-Arch: same
 Description: ZenLib C++ utility library -- development files
  ZenLib is a C++ utility library. It includes classes for handling strings,
  configuration, bit streams, threading, translation, and cross-platform
@@ -26,12 +27,15 @@
  This package contains the headers required for compiling applications/libraries
  which use this library.
 
-Package: libzen0v5
+Package: libzen0t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libzen0v5
+Breaks: libzen0v5 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libzen0
+Replaces: libzen0v5, libzen0
 Conflicts: libzen0
 Description: ZenLib C++ utility library -- runtime
  ZenLib is a C++ utility library. It includes classes for handling strings,
@@ -44,6 +48,7 @@
 Package: libzen-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ZenLib C++ utility library -- documentation
  ZenLib is a C++ utility library. It includes classes for handling strings,
