## libzen 0.4.41.20251011

=== debian/changelog ===
libzen (0.4.41.20251011-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251011
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100

libzen (0.4.39-1) experimental; urgency=medium

  * Upstream version 0.4.39
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100
