## libzen 0.4.41.20251016

=== debian/changelog ===
libzen (0.4.41.20251016-1) experimental; urgency=medium

  * Upstream version 0.4.41.20251016
    For details, see https://github.com/MediaArea/ZenLib/blob/master/History.txt

 -- MediaArea <info@mediaarea.net>  Wed, 21 Dec 2022 10:30:00 +0100
